# glanceclient.v2.tasks module

class glanceclient.v2.tasks.Controller(http_client, schema_client)

  Bases: `object`

  create(**kwargs)

    Create a new task.

  get(task_id)

    Get a task based on given task id.

  list(**kwargs)

    Retrieve a listing of Task objects.

    Parameters:

      page_size – Number of tasks to request in each paginated request

    Returns:

      generator over list of Tasks

  property model

this page last updated: 2026-03-27 11:43:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug